#
#	Macintosh Developer Technical Support
#
#	EditText Sample Control Panel Device
#
#	EditCdev
#
#	EditCdev.make	-	Make Source
#
#	Copyright  1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.00				8/88
#				1.10				6/92
#
#	Components:	EditCdev.p			August 1, 1988
#				EditCdev.c			August 1, 1988
#				EditCdev.r			August 1, 1988
#				PEditCdev.make		August 1, 1988
#				CEditCdev.make		August 1, 1988
#				TCEditCdev.		June 12, 1992
#				TCEditCdev..rsrc	June 12, 1992
#
#	EditCdev is a sample Control Panel device (cdev) that 
#	demonstrates the usage of the edit-related messages.  
#	EditCdev demonstrates how to implement an editText item
#	in a Control Panel Device.  It utilizes the new undo, cut, copy,
#	paste, and delete messages that are sent to cdevs in
#	response to user menu selections.
#
#	It is comprised of two editText items that can be edited 
#	and moved between via the mouse or tab key.
#
# For MPW 2.0 we use the following line so that the the complete interfaces are there:
#COptions = -d MPW2
#
# For MPW 3.0 and later:
COptions = -d MPW3 -r	# define MPW3, turn on strict prototyping (-r option)

SrcName			=	EditCdev
Lang			=	C
CdevName		=	{Lang}{SrcName}

Objs			=	{SrcName}.{Lang}.o 
					"{Libraries}"Interface.o

{CdevName}			{Objs} {CdevName}.make
		Link -o {Targ} -rt cdev=-4064 -m MAIN {Objs} && 
			Setfile {CdevName} -a B && 
				Duplicate -y {CdevName} "{SystemFolder}Control Panels:"

{CdevName}			{SrcName}.r {CdevName}.make
		Rez -o {Targ} {SrcName}.r -t cdev -c hack -rd -append && 
			Setfile {CdevName} -a B && 
				Duplicate -y {CdevName} "{SystemFolder}Control Panels:"
